/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.accountdata;

/**
 * Interface for a account data service
 */
public interface AccountDataService {
    public CheckingAccount getCheckingAccount(String customerID);
    public SavingsAccount getSavingsAccount(String customerID);
    public StockAccount getStockAccount(String customerID);
}
